vue项目配置了babel-polyfill之后仍然在IE报错

首先是IE报错
IE报错
错误的位置
错误位置
根据网上看到的说法,引入babel-polyfill
配置文件中已经引入并且执行了npm install
package.json
实际上我是使用npm install --save babel-polyfill引入的
然后在webpack.base.conf.js中配置
babel-polyfill
然后在main.js中引入
main.js
至此,项目仍然无法在IE里面打开,谷歌浏览器正常,事实上我的IE是IE11
所以这到底是怎么回事?

回答:

不知道你使用的webpack的版本,感觉是不是这里的问题:

...
    entry: ["babel-polyfill", "./app/js"]
...    

回答:

并不需要再main中去引用

回答:

main中不用引用,webpack配置改一下,直接用路径引用 app: [‘./node_modules/babel-polyfill/dist/polyfill.js’, ‘./src/main.js’]

回答:

朋友这个问题你解决了么

回答:

我也遇到了这个问题,
1.先检查是否import成功。
如果不成功在run的时候就会报错
2.清理IE浏览器的浏览记录。
这一步总是忘,但是很重要…

回答:

入口文件main.js里引入

import promise from 'es6-promise'
promise.polyfill()

暂无评论

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注